#include <bits/stdc++.h>

#define pb push_back
#define ll long long
#define pii pair<int, int>
#define xx first
#define yy second
#define MAXN 200010

using namespace std;

pair<double, double> a[MAXN];
double suf[MAXN], ress;
int n;

bool cmp(pair<double, double> x, pair<double, double> y)
{
    if (x.yy>y.yy) return false;
    if (y.yy>x.yy) return true;
    return true;
}

int main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    cin>>n;

    for (int i=0; i<n; i++) { double x, p; cin>>x>>p; a[i]={x, p/100}; }

    sort(a, a+n, cmp);

    for (int i=n-1; i>=0; i--)
        suf[i]=suf[i+1]+a[i].xx;

    ress=-1;
    for (int i=0; i<n; i++)
    {
        double p=a[i].yy;
        ress=max(ress, p*suf[i]);
    }
    cout<<fixed<<setprecision(4)<<ress;
}